## ros-dynamic-reconfigure 1.5.39

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(dynamic_reconfigure)

find_package(catkin REQUIRED COMPONENTS message_generation roscpp std_msgs)
find_package(Boost REQUIRED COMPONENTS system thread)

include_directories(include ${catkin_INCLUDE_DIRS})
include_directories(SYSTEM ${Boost_INCLUDE_DIRS})

catkin_python_setup()

add_message_files(
  DIRECTORY msg
  FILES 
  BoolParameter.msg      Config.msg           Group.msg       IntParameter.msg      SensorLevels.msg
  ConfigDescription.msg  DoubleParameter.msg  GroupState.msg  ParamDescription.msg  StrParameter.msg)

add_service_files(
  DIRECTORY srv
  FILES Reconfigure.srv)

generate_messages(DEPENDENCIES std_msgs)

if(CATKIN_ENABLE_TESTING)
  find_package(rostest REQUIRED)
  set(dynamic_reconfigure_BASE_DIR "${CMAKE_CURRENT_SOURCE_DIR}")
  include(${dynamic_reconfigure_SOURCE_DIR}/cmake/dynamic_reconfigure-macros.cmake)
  generate_dynamic_reconfigure_options(cfg/Test.cfg)
  add_subdirectory(test)
endif()

catkin_package(LIBRARIES dynamic_reconfigure_config_init_mutex
               INCLUDE_DIRS include
               CATKIN_DEPENDS message_runtime std_msgs
               CFG_EXTRAS dynamic_reconfigure-extras.cmake
)

add_library(dynamic_reconfigure_config_init_mutex
  src/dynamic_reconfigure_config_init_mutex.cpp)
target_link_libraries(dynamic_reconfigure_config_init_mutex ${Boost_LIBRARIES})

install(DIRECTORY include/dynamic_reconfigure/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")
      
install(TARGETS dynamic_reconfigure_config_init_mutex
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
install(DIRECTORY msg
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(PROGRAMS scripts/dynparam
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(PROGRAMS scripts/reconfigure_gui
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY srv
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY templates
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== test/CMakeLists.txt ===
add_executable(dynamic_reconfigure-ref_server EXCLUDE_FROM_ALL ref_server.cpp)
add_dependencies(dynamic_reconfigure-ref_server ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_generate_messages_py)
target_link_libraries(dynamic_reconfigure-ref_server pthread dynamic_reconfigure_config_init_mutex ${catkin_LIBRARIES})

add_dependencies(tests dynamic_reconfigure-ref_server)

add_rostest(test_python_simple_client.launch)

=== debian/changelog ===
ros-dynamic-reconfigure (1.5.39-2) unstable; urgency=medium

  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:03:22 +0100

ros-dynamic-reconfigure (1.5.39-1) unstable; urgency=medium

  * Initial package. (Closes: #804929)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Dec 2015 00:14:21 +0000

=== debian/control ===
Source: ros-dynamic-reconfigure
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9),
		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-rospy, python-rostest, 
		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
		libboost-dev, libboost-thread-dev, libboost-signals-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev,
		librosconsole-dev,
		libros-rosgraph-msgs-dev,
		libxmlrpcpp-dev,
		python-rosunit,
		libroscpp-msgs-dev,
		dh-python,
		libconsole-bridge-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://www.ros.org/wiki/dynamic_reconfigure
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-dynamic-reconfigure.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-dynamic-reconfigure.git

Package: libdynamic-reconfigure-config-init-mutex0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS dynamic-reconfigure library
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the library itself.

Package: libdynamic-reconfigure-config-init-mutex-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libdynamic-reconfigure-config-init-mutex0d ( = ${binary:Version}),
	${python:Depends}, python, ros-message-generation, libroscpp-core-dev, libstd-msgs-dev, libboost-system-dev, libboost-thread-dev
Description: Robot OS dynamic-reconfigure library - development files
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the development files.

Package: python-dynamic-reconfigure
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-roslib
Description: Robot OS dynamic-reconfigure library - Python bindings
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the Python bindings.

Package: cl-dynamic-reconfigure
Section: lisp
Architecture: all
Depends: ${misc:Depends}
Description: Robot OS dynamic-reconfigure library - LISP bindings
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the LISP bindings.

=== debian/rules ===
#!/usr/bin/make -f
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# main packaging script based on dh7 syntax
%:
	dh $@ --parallel --buildsystem=cmake --with python2


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

override_dh_auto_clean:
	rm -f src/dynamic_reconfigure/parameter_generator_catkin.pyc
	dh_auto_clean

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

## ros-dynamic-reconfigure 1.5.44

=== debian/changelog ===
ros-dynamic-reconfigure (1.5.44-3) unstable; urgency=medium

  * Update my email address
  * Add recommends because catkin needs it

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Aug 2016 23:04:17 +0200

ros-dynamic-reconfigure (1.5.44-2) unstable; urgency=medium

  * rebuild for changes in ros-genlisp

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 22:19:14 +0200

ros-dynamic-reconfigure (1.5.44-1) unstable; urgency=medium

  * Imported Upstream version 1.5.44
  * Bumped Standards-Version to 3.9.8. No changes

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 30 Jun 2016 09:28:10 +0200

ros-dynamic-reconfigure (1.5.39-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin
  * Updated Vcs-Browser and Vcs-Git fields
  * Enabling hardening=+all,+bindnow options to mute lintian

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 23 Feb 2016 15:01:58 +0100

## ros-dynamic-reconfigure 1.5.46

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,7 @@
 find_package(catkin REQUIRED COMPONENTS message_generation roscpp std_msgs)
 find_package(Boost REQUIRED COMPONENTS system thread)
 
-include_directories(include ${catkin_INCLUDE_DIRS})
-include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
+include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
 
 catkin_python_setup()

=== debian/changelog ===
ros-dynamic-reconfigure (1.5.46-1) unstable; urgency=medium

  * New upstream version 1.5.46

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 08:35:16 +0100

ros-dynamic-reconfigure (1.5.45-1) unstable; urgency=medium

  * New upstream version 1.5.45

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 04 Nov 2016 09:41:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9),
 		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
@@ -18,11 +18,11 @@
 		libroscpp-msgs-dev,
 		dh-python,
 		libconsole-bridge-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.ros.org/wiki/dynamic_reconfigure
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-dynamic-reconfigure.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-dynamic-reconfigure.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-dynamic-reconfigure.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-dynamic-reconfigure.git
 
 Package: libdynamic-reconfigure-config-init-mutex0d
 Architecture: any
@@ -40,6 +40,7 @@
 Architecture: any
 Depends: ${misc:Depends}, libdynamic-reconfigure-config-init-mutex0d ( = ${binary:Version}),
 	${python:Depends}, python, ros-message-generation, libroscpp-core-dev, libstd-msgs-dev, libboost-system-dev, libboost-thread-dev
+Recommends: python-dynamic-reconfigure
 Description: Robot OS dynamic-reconfigure library - development files
  This package is part of Robot OS (ROS), and contains the
  dynamic_reconfigure package which provides a means to change node

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,+bindnow
 
 # main packaging script based on dh7 syntax
 %:

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dynamic_reconfigure-$1\.tar\.gz/ \
  https://github.com/ros/dynamic_reconfigure/releases .*/v?(\d\S*)\.tar\.gz

## ros-dynamic-reconfigure 1.5.49

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -4,4 +4,10 @@
 
 add_dependencies(tests dynamic_reconfigure-ref_server)
 
+add_rostest_gtest(dynamic_reconfigure-test_client test_cpp_simple_client.launch test_client.cpp)
+add_dependencies(dynamic_reconfigure-test_client ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_py)
+target_link_libraries(dynamic_reconfigure-test_client pthread dynamic_reconfigure_config_init_mutex ${catkin_LIBRARIES})
+
+add_dependencies(tests dynamic_reconfigure-test_client)
+
 add_rostest(test_python_simple_client.launch)

=== debian/changelog ===
ros-dynamic-reconfigure (1.5.49-1) unstable; urgency=medium

  * New upstream version 1.5.49
  * add Multi-Arch according to hinter
  * Rebase patch
  * Update policy and debhelper versions
  * Update copyright
  * Update watch file
  * Remove parallel (Default for debhelper 10)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 24 Sep 2017 07:57:18 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9),
-		catkin (>> 0.6.16-2), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+Build-Depends: debhelper (>= 10),
+		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
 		python-rospy, python-rostest, 
 		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
@@ -18,7 +18,7 @@
 		libroscpp-msgs-dev,
 		dh-python,
 		libconsole-bridge-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Section: libs
 Homepage: http://www.ros.org/wiki/dynamic_reconfigure
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-dynamic-reconfigure.git
@@ -38,6 +38,7 @@
 Package: libdynamic-reconfigure-config-init-mutex-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libdynamic-reconfigure-config-init-mutex0d ( = ${binary:Version}),
 	${python:Depends}, python, ros-message-generation, libroscpp-core-dev, libstd-msgs-dev, libboost-system-dev, libboost-thread-dev
 Recommends: python-dynamic-reconfigure
@@ -62,6 +63,7 @@
 Package: cl-dynamic-reconfigure
 Section: lisp
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Robot OS dynamic-reconfigure library - LISP bindings
  This package is part of Robot OS (ROS), and contains the

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@ --parallel --buildsystem=cmake --with python2
+	dh $@ --buildsystem=cmake --with python2
 
 
 override_dh_auto_configure:

## ros-dynamic-reconfigure 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(dynamic_reconfigure)
 
 find_package(catkin REQUIRED COMPONENTS message_generation roscpp std_msgs)
-find_package(Boost REQUIRED COMPONENTS system thread)
+find_package(Boost REQUIRED COMPONENTS system thread chrono)
 
 include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
 
@@ -10,7 +10,7 @@
 
 add_message_files(
   DIRECTORY msg
-  FILES 
+  FILES
   BoolParameter.msg      Config.msg           Group.msg       IntParameter.msg      SensorLevels.msg
   ConfigDescription.msg  DoubleParameter.msg  GroupState.msg  ParamDescription.msg  StrParameter.msg)
 
@@ -41,7 +41,7 @@
 install(DIRECTORY include/dynamic_reconfigure/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
   FILES_MATCHING PATTERN "*.h")
-      
+
 install(TARGETS dynamic_reconfigure_config_init_mutex
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}

=== test/CMakeLists.txt ===
add_executable(dynamic_reconfigure-ref_server EXCLUDE_FROM_ALL ref_server.cpp)
add_dependencies(dynamic_reconfigure-ref_server ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_generate_messages_py)
target_link_libraries(dynamic_reconfigure-ref_server dynamic_reconfigure_config_init_mutex ${catkin_LIBRARIES})

add_dependencies(tests dynamic_reconfigure-ref_server)

add_rostest_gtest(dynamic_reconfigure-test_client test_cpp_simple_client.launch test_client.cpp)
add_dependencies(dynamic_reconfigure-test_client ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_py)
target_link_libraries(dynamic_reconfigure-test_client dynamic_reconfigure_config_init_mutex ${catkin_LIBRARIES})

add_dependencies(tests dynamic_reconfigure-test_client)

add_rostest(test_python_simple_client.launch)

=== debian/changelog ===
ros-dynamic-reconfigure (1.6.0-1) unstable; urgency=medium

  * New upstream version 1.6.0
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Oct 2018 20:07:31 +0200

ros-dynamic-reconfigure (1.5.49-4) unstable; urgency=medium

  * Bump policy version (no changes)
  * Add Python 3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Aug 2018 18:02:57 +0200

ros-dynamic-reconfigure (1.5.49-3) unstable; urgency=medium

  * Fix roscpp-msg* dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 31 Jul 2018 21:58:19 +0200

ros-dynamic-reconfigure (1.5.49-2) unstable; urgency=medium

  * Update Vcs URLs to salsa.d.o
  * Move cleanup to d/clean
  * Add R³
  * http -> https
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Jun 2018 17:39:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
            Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
 		python-rospy, python-rostest, 
-		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3),
+		python-all, python3-all, python-setuptools,
 		libboost-dev, libboost-thread-dev, libboost-signals-dev,
 		libboost-filesystem-dev, libboost-regex-dev,
 		libroscpp-dev,
@@ -15,14 +15,15 @@
 		libros-rosgraph-msgs-dev,
 		libxmlrpcpp-dev,
 		python-rosunit,
-		libroscpp-msgs-dev,
+		libroscpp-msg-dev,
 		dh-python,
 		libconsole-bridge-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
 Section: libs
-Homepage: http://www.ros.org/wiki/dynamic_reconfigure
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-dynamic-reconfigure.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ros/ros-dynamic-reconfigure.git
+Rules-Requires-Root: no
+Homepage: https://wiki.ros.org/dynamic_reconfigure
+Vcs-Browser: https://salsa.debian.org/science-team/ros-dynamic-reconfigure
+Vcs-Git: https://salsa.debian.org/science-team/ros-dynamic-reconfigure.git
 
 Package: libdynamic-reconfigure-config-init-mutex0d
 Architecture: any
@@ -53,12 +54,23 @@
 Section: python
 Architecture: all
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs, python-roslib
-Description: Robot OS dynamic-reconfigure library - Python bindings
+Description: Robot OS dynamic-reconfigure library - Python 2 bindings
  This package is part of Robot OS (ROS), and contains the
  dynamic_reconfigure package which provides a means to change node
  parameters at any time without having to restart the node. 
  .
- This package contains the Python bindings.
+ This package contains the Python 2 bindings.
+
+Package: python3-dynamic-reconfigure
+Section: python
+Architecture: all
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-roslib
+Description: Robot OS dynamic-reconfigure library - Python 3 bindings
+ This package is part of Robot OS (ROS), and contains the
+ dynamic_reconfigure package which provides a means to change node
+ parameters at any time without having to restart the node. 
+ .
+ This package contains the Python 3 bindings.
 
 Package: cl-dynamic-reconfigure
 Section: lisp

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --buildsystem=cmake --with python2,python3

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCATKIN_ENABLE_TESTING=OFF

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-dynamic-reconfigure-$1.tar.gz%" \
    https://github.com/ros/dynamic_reconfigure/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-dynamic-reconfigure 1.7.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.0.2)
 project(dynamic_reconfigure)
 
 find_package(catkin REQUIRED COMPONENTS message_generation roscpp std_msgs)
 find_package(Boost REQUIRED COMPONENTS system thread chrono)
 
-include_directories(include ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
+include_directories(include)
+include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
 
 catkin_python_setup()

=== debian/changelog ===
ros-dynamic-reconfigure (1.7.0-3) unstable; urgency=medium

  * Ignore test results

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 27 Jun 2020 10:08:28 +0200

ros-dynamic-reconfigure (1.7.0-2) unstable; urgency=medium

  * Use local IP for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 23:04:57 +0200

ros-dynamic-reconfigure (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0
  * Remove Thomas from Uploaders, thanks for working on this
  * Add patch to make builds reproducible
  * rebase patches
  * bump debhelper version

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jun 2020 09:11:58 +0200

ros-dynamic-reconfigure (1.6.0-4) unstable; urgency=medium

  * Drop unused build dependency (Closes: #962286)
  * bump policy

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Jun 2020 18:25:58 +0200

ros-dynamic-reconfigure (1.6.0-3) unstable; urgency=medium

  * Update Recommends

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 09:44:56 +0200

ros-dynamic-reconfigure (1.6.0-2) unstable; urgency=medium

  * Drop Python 2 packages (Closes: #938374)
  * simplify d/watch
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:04:05 +0200

=== debian/control ===
Source: ros-dynamic-reconfigure
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 13),
		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python3-rospy, python3-rostest,
		python3-all, python3-setuptools,
		libboost-dev, libboost-thread-dev,
		libboost-filesystem-dev, libboost-regex-dev,
		libroscpp-dev,
		librosconsole-dev,
		libros-rosgraph-msgs-dev,
		libxmlrpcpp-dev,
		python3-rosunit,
		libroscpp-msg-dev,
		dh-sequence-python3,
		libconsole-bridge-dev,
		librostest-dev,
		python3-rostest,
Standards-Version: 4.5.0
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/dynamic_reconfigure
Vcs-Browser: https://salsa.debian.org/science-team/ros-dynamic-reconfigure
Vcs-Git: https://salsa.debian.org/science-team/ros-dynamic-reconfigure.git

Package: libdynamic-reconfigure-config-init-mutex0d
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Robot OS dynamic-reconfigure library
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the library itself.

Package: libdynamic-reconfigure-config-init-mutex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdynamic-reconfigure-config-init-mutex0d ( = ${binary:Version}),
	${python3:Depends}, python3, ros-message-generation, libroscpp-core-dev, libstd-msgs-dev, libboost-system-dev, libboost-thread-dev
Recommends: python3-dynamic-reconfigure
Description: Robot OS dynamic-reconfigure library - development files
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the development files.

Package: python3-dynamic-reconfigure
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-roslib
Breaks: python-dynamic-reconfigure (<< 1.6.0-2)
Replaces: python-dynamic-reconfigure (<< 1.6.0-2)
Description: Robot OS dynamic-reconfigure library - Python 3 bindings
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the Python 3 bindings.

Package: cl-dynamic-reconfigure
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Robot OS dynamic-reconfigure library - LISP bindings
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node. 
 .
 This package contains the LISP bindings.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Needed for unit tests
export ROS_HOME=$(CURDIR)/build/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --buildsystem=cmake --builddirectory=build

execute_after_dh_auto_install:
	mv debian/*/usr/lib/*/pkgconfig debian/*/usr/share/
	rmdir -p --ignore-fail-on-non-empty debian/*/usr/lib/*

override_dh_auto_test:
	make -C build run_tests
# ignore tests results due to broken tests
#	catkin_test_results

## ros-dynamic-reconfigure 1.7.1

=== debian/changelog ===
ros-dynamic-reconfigure (1.7.1-3) unstable; urgency=medium

  * simplify packaging
  * Fix shebang

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 16:15:30 +0100

ros-dynamic-reconfigure (1.7.1-2) unstable; urgency=medium

  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 14:22:37 +0100

ros-dynamic-reconfigure (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
  * rebase patches
  * Remove unused dependencies

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Aug 2020 11:26:55 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
 		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
 		python3-rospy, python3-rostest,
 		python3-all, python3-setuptools,
-		libboost-dev, libboost-thread-dev,
-		libboost-filesystem-dev, libboost-regex-dev,
+		libboost-dev,
 		libroscpp-dev,
 		librosconsole-dev,
 		libros-rosgraph-msgs-dev,
@@ -19,7 +18,7 @@
 		libconsole-bridge-dev,
 		librostest-dev,
 		python3-rostest,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/dynamic_reconfigure
@@ -42,7 +41,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, libdynamic-reconfigure-config-init-mutex0d ( = ${binary:Version}),
-	${python3:Depends}, python3, ros-message-generation, libroscpp-core-dev, libstd-msgs-dev, libboost-system-dev, libboost-thread-dev
+	${python3:Depends}, python3, ros-message-generation, libroscpp-core-dev, libstd-msgs-dev, libboost-dev
 Recommends: python3-dynamic-reconfigure
 Description: Robot OS dynamic-reconfigure library - development files
  This package is part of Robot OS (ROS), and contains the

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Needed for unit tests
export ROS_HOME=$(CURDIR)/build/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --buildsystem=cmake --builddirectory=build

override_dh_auto_test:
	make -C build run_tests
# ignore tests results due to broken tests
#	catkin_test_results

## ros-dynamic-reconfigure 1.7.2

=== debian/changelog ===
ros-dynamic-reconfigure (1.7.2-1) unstable; urgency=medium

  * Drop old Breaks/Replaces
  * New upstream version 1.7.2
  * Drop patches (fixed upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 21 Feb 2022 15:23:56 +0100

ros-dynamic-reconfigure (1.7.1-11) unstable; urgency=medium

  * Ignore failing tests on alpha
  * Ignore failing tests on hurd-i386

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 27 Oct 2021 09:06:43 +0200

ros-dynamic-reconfigure (1.7.1-10) unstable; urgency=medium

  * Ignore tests on armhf

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 18:32:51 +0200

ros-dynamic-reconfigure (1.7.1-9) unstable; urgency=medium

  * Fix test exception logic

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 16:10:40 +0200

ros-dynamic-reconfigure (1.7.1-8) unstable; urgency=medium

  * Disable tests on failing archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 15:27:28 +0200

ros-dynamic-reconfigure (1.7.1-7) unstable; urgency=medium

  * Enable tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 14:23:48 +0200

ros-dynamic-reconfigure (1.7.1-6) unstable; urgency=medium

  * Fix incorrect BEFORE path

 -- Timo Röhling <roehling@debian.org>  Mon, 27 Sep 2021 22:07:44 +0200

ros-dynamic-reconfigure (1.7.1-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:42:08 +0200

ros-dynamic-reconfigure (1.7.1-4) experimental; urgency=medium

  * Team upload.
  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Sep 2021 00:28:51 +0200

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Needed for unit tests
export ROS_HOME=$(CURDIR)/build/ros
export ROS_IP=127.0.0.1

%:
	dh $@ --buildsystem=cmake

execute_after_dh_auto_install:
	rm debian/tmp/usr/share/dynamic_reconfigure/cmake/dynamic_reconfigure-extras.cmake.em

override_dh_auto_test:
	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests
ifeq (,$(filter $(DEB_BUILD_ARCH),alpha armel armhf mipsel s390x hppa powerpc ppc64 sparc64 hurd-i386))
	catkin_test_results
endif

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-dynamic-reconfigure-$1.tar.gz%" \
    https://github.com/ros/dynamic_reconfigure/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-dynamic-reconfigure 1.7.3

=== debian/changelog ===
ros-dynamic-reconfigure (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3
  * Drop Switch-to-new-boost-bind-bind.hpp.patch (applied upstream)
  * Fix Python interpreter for gendeps

 -- Timo Röhling <roehling@debian.org>  Fri, 06 May 2022 09:49:42 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+           Timo Röhling <roehling@debian.org>
 Build-Depends: debhelper-compat (= 13),
-		catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
+		catkin (>= 0.8.10-1~), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
 		python3-rospy, python3-rostest,
 		python3-all, python3-setuptools,
 		libboost-dev,
@@ -17,8 +18,8 @@
 		dh-sequence-python3,
 		libconsole-bridge-dev,
 		librostest-dev,
-		python3-rostest,
-Standards-Version: 4.5.1
+		libgtest-dev,
+Standards-Version: 4.6.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/dynamic_reconfigure
@@ -32,7 +33,7 @@
 Description: Robot OS dynamic-reconfigure library
  This package is part of Robot OS (ROS), and contains the
  dynamic_reconfigure package which provides a means to change node
- parameters at any time without having to restart the node. 
+ parameters at any time without having to restart the node.
  .
  This package contains the library itself.
 
@@ -46,7 +47,7 @@
 Description: Robot OS dynamic-reconfigure library - development files
  This package is part of Robot OS (ROS), and contains the
  dynamic_reconfigure package which provides a means to change node
- parameters at any time without having to restart the node. 
+ parameters at any time without having to restart the node.
  .
  This package contains the development files.
 
@@ -54,12 +55,10 @@
 Section: python
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs, python3-roslib
-Breaks: python-dynamic-reconfigure (<< 1.6.0-2)
-Replaces: python-dynamic-reconfigure (<< 1.6.0-2)
 Description: Robot OS dynamic-reconfigure library - Python 3 bindings
  This package is part of Robot OS (ROS), and contains the
  dynamic_reconfigure package which provides a means to change node
- parameters at any time without having to restart the node. 
+ parameters at any time without having to restart the node.
  .
  This package contains the Python 3 bindings.
 
@@ -71,7 +70,6 @@
 Description: Robot OS dynamic-reconfigure library - LISP bindings
  This package is part of Robot OS (ROS), and contains the
  dynamic_reconfigure package which provides a means to change node
- parameters at any time without having to restart the node. 
+ parameters at any time without having to restart the node.
  .
  This package contains the LISP bindings.
-

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 
 execute_after_dh_auto_install:
 	rm debian/tmp/usr/share/dynamic_reconfigure/cmake/dynamic_reconfigure-extras.cmake.em
+	sed -i -e '1s%^#!.*%#!/usr/bin/python3%' \
+		debian/tmp/usr/share/dynamic_reconfigure/cmake/gendeps \
+		debian/tmp/usr/share/dynamic_reconfigure/cmake/dynamic_reconfigure/parameter_generator.py
 
 override_dh_auto_test:
 	make -C obj-$(DEB_HOST_GNU_TYPE) run_tests

## ros-dynamic-reconfigure 1.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project(dynamic_reconfigure)
 
 find_package(catkin REQUIRED COMPONENTS message_generation roscpp std_msgs)
-find_package(Boost REQUIRED COMPONENTS system thread chrono)
+find_package(Boost REQUIRED)
 
 include_directories(include)
 include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
@@ -54,11 +54,12 @@
 )
 install(DIRECTORY msg
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
-install(PROGRAMS scripts/dynparam
-        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
-install(PROGRAMS scripts/reconfigure_gui
-        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
 install(DIRECTORY srv
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
 install(DIRECTORY templates
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
+
+catkin_install_python(PROGRAMS
+  scripts/dynparam
+  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
+)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,9 @@
+add_rostest_gtest(dynamic_reconfigure-test_client_single_threaded test_cpp_client_single_threaded.test test_client_single_threaded.cpp)
+add_dependencies(dynamic_reconfigure-test_client_single_threaded ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_cpp)
+target_link_libraries(dynamic_reconfigure-test_client_single_threaded dynamic_reconfigure_config_init_mutex ${catkin_LIBRARIES})
+
+add_dependencies(tests dynamic_reconfigure-test_client_single_threaded)
+
 add_executable(dynamic_reconfigure-ref_server EXCLUDE_FROM_ALL ref_server.cpp)
 add_dependencies(dynamic_reconfigure-ref_server ${PROJECT_NAME}_gencfg ${PROJECT_NAME}_generate_messages_cpp ${PROJECT_NAME}_generate_messages_py)
 target_link_libraries(dynamic_reconfigure-ref_server dynamic_reconfigure_config_init_mutex ${catkin_LIBRARIES})

=== debian/changelog ===
ros-dynamic-reconfigure (1.7.6-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 1.7.6
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Fix CVE-2024-39780: Use safe loader for YAML input (Closes: #1102010)

 -- Timo Röhling <roehling@debian.org>  Wed, 17 Sep 2025 15:17:51 +0200

ros-dynamic-reconfigure (1.7.3-2) unstable; urgency=medium

  * Wrap and sort Debian package files
  * Migrate to dh-ros (Closes: #1046940, #1082977)
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 30 Sep 2024 23:37:48 +0200

=== debian/control ===
Source: ros-dynamic-reconfigure
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 catkin (>= 0.8.10-1~),
 libboost-dev,
 libconsole-bridge-dev,
 libgtest-dev,
 libros-rosgraph-msgs-dev,
 librosconsole-dev,
 libroscpp-core-dev,
 libroscpp-dev,
 libroscpp-msg-dev,
 librostest-dev,
 libstd-msgs-dev,
 libxmlrpcpp-dev,
 python3-all,
 python3-rospy,
 python3-rostest,
 python3-rosunit,
 python3-setuptools,
 ros-message-generation,
Standards-Version: 4.7.2
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/dynamic_reconfigure
Vcs-Browser: https://salsa.debian.org/science-team/ros-dynamic-reconfigure
Vcs-Git: https://salsa.debian.org/science-team/ros-dynamic-reconfigure.git

Package: libdynamic-reconfigure-config-init-mutex0d
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: Robot OS dynamic-reconfigure library
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node.
 .
 This package contains the library itself.

Package: cl-dynamic-reconfigure
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Robot OS dynamic-reconfigure library - LISP bindings
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node.
 .
 This package contains the LISP bindings.

Package: libdynamic-reconfigure-config-init-mutex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libboost-dev,
 libdynamic-reconfigure-config-init-mutex0d ( = ${binary:Version}),
 libroscpp-core-dev,
 libstd-msgs-dev,
 python3,
 ros-message-generation,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-dynamic-reconfigure,
Description: Robot OS dynamic-reconfigure library - development files
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node.
 .
 This package contains the development files.

Package: python3-dynamic-reconfigure
Section: python
Architecture: all
Depends:
 python3-genpy,
 python3-roslib,
 python3-std-msgs,
 ${misc:Depends},
 ${python3:Depends},
Description: Robot OS dynamic-reconfigure library - Python 3 bindings
 This package is part of Robot OS (ROS), and contains the
 dynamic_reconfigure package which provides a means to change node
 parameters at any time without having to restart the node.
 .
 This package contains the Python 3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq (,$(filter $(DEB_BUILD_ARCH),alpha armel armhf mipsel s390x hppa powerpc ppc64 sparc64 hurd-i386))
export ROS_IGNORE_TEST_RESULTS = 1
endif

%:
	dh $@ --buildsystem=ros

execute_after_dh_auto_install:
	rm debian/tmp/usr/share/dynamic_reconfigure/cmake/dynamic_reconfigure-extras.cmake.em
	sed -i -e '1s%^#!.*%#!/usr/bin/python3%' \
		debian/tmp/usr/share/dynamic_reconfigure/cmake/gendeps \
		debian/tmp/usr/share/dynamic_reconfigure/cmake/dynamic_reconfigure/parameter_generator.py

=== debian/watch ===
Version: 5

Template: Github
Owner: ros
Project: dynamic_reconfigure
